module Gpr
  module Actions
    module Contrib
      def detect_git_user
        git_user = File.open("#{ENV['HOME']}/.gitconfig", 'r') do |f|
          body = f.read
          body.match(/name\s+=\s+(?<username>.+)/)[:username]
        end

        git_user
      end

      def log_by_date(path, user = nil)
        Dir.chdir(path)
        if user.nil?
          `git log --date=short --pretty=format:"%cd"`.split("\n")
        else
          `git log --author=#{user} --date=short --pretty=format:"%cd"`.split("\n")
        end
      end
    end
  end
end

